<?php 
declare(strict_types=0);
// session_start();
foreach($_GET as $campo => $valor){${$campo}=trim($valor);} 
foreach($_POST as $campo => $valor){${$campo}=trim($valor);} 
include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);
if(empty($user_codigo)){include('user_login0.php');return;}

// echo '<meta http-equiv="refresh" content="5">';
$modu='jwmc';
// $docu=strtoupper($docu);
$min_fra=15;

$info_descri='PREDICACION';

// echo '*/*/*'. $_COOKIE['cong_codigo'];
// $cong_codigo=$_SESSION['cong_codigo'];
// if(!empty($cong)){$cong_codigo=$cong;}
// $_SESSION['cong_codigo']=$cong_codigo;
$cong0=data_maes('cong',$_SESSION['user_cong']);

if($vista2=='' and getPlatform()=='Android'){$vista2=1;}

// $info='jwmdc0';
$info='mcprog';

if(empty($docu)){$docu='MDC0';}
// if($docu=='MDC0'){$info='jwmdc0';}     
// if($docu=='MDC1'){$info='jwmdc1';}     

$ztabla='lreu';
$zwhere='(lreu_cong="'.$cong0['cong_codigo'].'")';
include('ele_datalist.php');

$ztabla='trty';
$zwhere='(trty_cong="'.$user0['user_cong'].'")';
include('ele_datalist.php');


// vali_modu('jwib');

// if($format==2){$info='iidet2';}
// if($info=='iiblog')
{$info_descri='PREDICACION';}
// if($info=='iidet2'){$info_descri='DOC.BODEGA';}
// if(empty($user0['user_tipo'])){$cost='false';}

// if(mb_stristr('sist.supe',$user0['user_tipo'])){$cost='true';}

if(!mb_stristr('sist.supe',$user0['user_tipo']))
{
//      $sql_acce='select * from acce1 left join acce2 on idnum1=idnum2 where numero='.$user_codigo.' and docum="COST" and info=1';
//      $res_acce=msql_query($sql_acce,$link_data);
//      if(msql_num_rows($res_acce)==0){$cost='false';}
}

// if(empty($bode)){$bode=$user0['user_bode'];}
// if(empty($bode)){$bode = $_COOKIE['bode'];}

// if(empty($bode))
// {
//      $fecha_inve=date('Y-m-1',strtotime('-1 month'));
//      $sql_inve='select distinct bode from inve1 where status not in("O","X") and fecha>="'.$fecha_inve.'"';
//      $res_inve=msql_query($sql_inve,$link_data);
//      if(msql_num_rows($res_inve)==1)
//      {$bode=msql_result($res_inve,0,'bode');}
// }     

if($format==2)
{
$item='';
$cant=0;
$puni=0;
}

$docu0=data_maes('docu',$docu);
// $enti0=data_maes('enti',$enti);
// $item0=data_maes('item',$item);
// $lsub0=data_maes('lsub',$lsub);
// $bode0=data_maes('bode',$bode);
// $lote0=data_maes('lote',$lote);

// $sql_tbod='select distinct bode_tipo from bode0 where bode_status not in("I","X") and bode_tipo!="" and bode_tipo is not null';
// $res_tbod=msql_query($sql_tbod,$link_data);
// if(msql_num_rows($res_tbod)>1){$tbod_ok=1;}

// $sql_imgi='select * from item0 left join imgi0 on item_codigo=imgi_item where item_status not in ("I","X") and imgi_status not in("I","X") limit 1';
// $res_imgi=msql_query($sql_imgi,$link_data);
// if(msql_num_rows($res_imgi)!=0){$imgi_ok=1;}

// $sql_mrca='select * from mrca0 where mrca_status not in("I","X") limit 1';
// $res_mrca=msql_query($sql_mrca,$link_data);
// if(msql_num_rows($res_mrca)!=0){$mrca_ok=1;}

// $sql_lote='select * from lote0 where lote_status not in("I","X") limit 1';
// $res_lote=msql_query($sql_lote,$link_data);
// if(msql_num_rows($res_lote)!=0){$lote_ok=1;}

// $maes=strtolower($maes);
$modu=strtolower($modu);
$tabla=$modu;

// if(@mb_stristr('clie.prov.empl',$modu)){$tabla='enti';}
// if(@mb_stristr('inve.prec.teki',$modu)){$tabla='item';}

$xtitulo='AGENDAR PREDICACION';
$xtitle=$xtitulo;
$xtopcenter=$xtitle;
if(!empty($docu)){$xtitle.=' /'.$docu;}
if(!empty($numero)){$xtitle.='-'.$numero;}

$fecha0=fecha0($modu);
if(empty($fecha)){$fecha=date('Y-m-d');}


     

$dom = new DOMDocument();
     $dom->encoding = 'utf-8';
     $dom->xmlVersion = '1.0';
     $dom->formatOutput = true;
echo $dom->saveXML();

// echo '*/*/*/*/';
// echo sal_item2('20109837');
     
//  SELECT DB
// if(!empty($bode))
// {include('sele_info.php');}

// if($format==2 and !empty($docu) and !empty($bode) and !empty($numero))
// {include('sele_info.php');}

// if($format==3 and !empty($bode) and empty($numero))



{include('sele_info.php');}

// echo '====='.$sql_info;

if(!empty($sql_info))
{
     $res_info=msql_query($sql_info,$link_data);
     
     if(msql_num_rows($res_info)==0)
     {
          if($fecha1!=$fecha2)
          {
               $sql_info=str_replace($fecha1,$fecha0,$sql_info);
               $res_info=msql_query($sql_info,$link_data);
          }
     }
     $msgres=number_format(msql_num_rows($res_info)).' Resultado(s)...';
     $msgres='';

//      echo '*/*/*'.$sql_info;
     if(!empty($numero))
     {
//           $idnum1=msql_result($res_info,0,'idnum1_hide');
//           $edit=msql_result($res_info,0,'b_o');
//           if(date('Y-m-d')==substr(msql_result($res_info,0,'idate_hide'),0,10)){$edit=1;}

//           $data_head=data_docu($docu,$idnum1);
//           foreach($data_head as $key => $value){${$key}=trim($value);} 
     }

}


// PANTALLA FILTROS
echo '<div id="filtros" noprint >';
{
// OCULTOS
echo '<div hide>';     
echo '<input id="format" hide value="'.$format.'">';
// echo '<input id="limit" hide value="'.$limit.'">';
echo '<input id="modu" value="'.$modu.'">';
echo '<input id="cong" value="'.$cong_codigo.'">';
// echo '<input id="ptoe" value="001001">';
echo '<input id="info" value="'.$info.'">';
echo '<input id="edit" value="1">';
// echo '<input id="idnum1" value="'.$idnum1.'">';
// echo '<input id="stfin" value="'.$stfin.'">';
echo '</div>';     


     
     
if($docu!='MDC5')
{
     $zid='nomb_info';
     $zdocu=$docu;     
     $zcolu='nombre1';   
     $zwhere='(cong='.$_SESSION['cong_codigo'].')';     
     include('ele_datalist.php');
}
     
if($docu=='MDC5')
{
     $fecha0=date('Y-m-01',strtotime('-3 month'));
     $zid='nomb_info';
     $ztabla='nomb';
     $zcolu='nomb_nombre';
     $zwhere='(';
     $zwhere.='nomb_cong="'.$_SESSION['cong_codigo'].'" and nomb_lused>="'.$fecha0.'" ';
     $zwhere.=')';
     include('ele_datalist.php');
}
     
     
// {$ztitulo='FILTROS'; include('ele_title.php');}
// {$ztitulo='INVENTARIOS'; include('ele_title.php');}

// $ztabla='ctas';
// include('ele_datalist.php');
     
// $ztabla='enti';
// $zwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from vtas1) or left(enti_codigo,10) in(select distinct left(enti,10) from comp1))';
// include('ele_datalist.php');
     
// $ztabla='item';
// $zwhere='(left(item_codigo,2)!="99")';
// include('ele_datalist.php');
     
// $ztabla='lote';
// include('ele_datalist.php');
     
// $ztabla='docu';
// $zwhere='(docu_tabla="inve")';
// include('ele_datalist.php');
     
     
if(!empty($docu))
{
     $zid='dl_lugar';     
     $zdocu=$docu;     
     $zcolu='lugar';   
     $zwhere='(cong='.$cong_codigo.')';     
     include('ele_datalist.php');
}
     
     
$zobj=2;     
include('ele_break.php');


if($format==2) 
{
$zid='btn_nuevo'; 
$zlabel='Nuevo';
$zalign='right';
$zonclick='{fn_nuevo();}';
$zsize=1.5;     
include('ele_button.php');
}
     
     
// if($format==3)
{
// $zid='tipo';
// // $ztabla='docu';
// $zlabel='Tipo';
// $zvalue=$tipo; 
// // if(!empty($bode)){$zreado=1;}
// // $zondblclick='{document.getElementById("'.$zid.'").removeAttribute("disabled");}';     
// $zonchange='{fn_consulta(event);}';
// $zonblur=$zonchange;
// $zexact=1;     
// $zoptions='1,Fijo;2,Variable;';     
// include('ele_select.php');
}


     
     
$zid='docu';
$zlabel='🗣️Predicación';
$zlabel='Modalidad';     
$zvalue=$docu;
$zonchange='{fn_consulta(event);}';
$zoptions='';     
$zoptions.='MDC1,🏠Casa/Casa;';     
$zoptions.='MDC2,📨Carta;';     
$zoptions.='MDC3,📞Telefónica;';     
$zoptions.='MDC4,🚶Calles;';
$zoptions.='MDC5,🪧Pública; ';
$zexact=1;     
include('ele_select.php');


     
$zid='prms';
$zlabel='Tipo';
$zvalue=$prms;
$zonchange='{fn_consulta(event);}';
$zexact=1;
$zoptions='';     
// $zoptions.='DIA,DIARIO;';     
$zoptions.='SEM,SEMANAL;';     
$zoptions.='MES,MENSUAL;';     
$zvalue='MES';     
$zhide='1';     
include('ele_select.php');

     
if(empty($prms)){$prms='MES';}     

$zobj=1;     
include('ele_break.php');
     
     
     
// if($prms=='MES')
{
     $zid='mes';
     $ztype='month';
     $zlabel='Mes';
     $zvalue=$fecha1;
     $zmin=date('Y-m');
     $zmax=date('Y-m',strtotime('+3 month'));     
     $zhide=1;
     if($prms=='MES'){$zhide=0;}
     include('ele_input.php');  
     
}
     
// if($prms=='SEM')
{
     $zid='sema';
     $ztype='week';
     $zlabel='Semana';
     $zvalue=$fecha1;
     $zmin=date('Y-\WW');
     $zmax=date('Y-\WW',strtotime('+8 week'));
     $zhide=1;
     if($prms=='SEM'){$zhide=0;}
     include('ele_input.php');  
}
     
     


$zobj=1;     
include('ele_break.php');
     
// ⛲ 🏠    
// $zid='lreu';
// $zlabel='🏠 Lugar';
// $zvalue=$lreu;     
// $ztabla='lreu';     
// include('ele_input.php');
    

// if($docu!='MDC5')
    
     
     
// // 📞📱🏠🅿
// $zid='modo';
// $zlabel='Modalidad';
// $zvalue=$modo; 
// $zexact=1;
// $zoptions='';     
// $zoptions.='1,🏠Casa/Casa;';     
// $zoptions.='2,📞Telefónica;';     
// $zoptions.='3,📨Carta;';     
// $zoptions.='4,🧍🏻‍♂️Pública; ';
// $zoptions.='5,🚶🏽Calles;';
// $zonchange='{fn_consulta(event);}';
// include('ele_select.php');
     
$zobj=1;     
include('ele_break.php');
     
// if($docu=='MDC0')
{
     
     $zid='ndia';
     $zlabel='🗓 Día';
     $zvalue=$ndia; 
     $zexact=1;
     if($prms=='DIA')
     {$zhide=1;}
     if($prms=='MES')
     {$zdia=2;}
     if($prms=='SEM')
     {$zdia=3;}
     include('ele_select.php');
}
 
     
     
{     
     if(empty($hora)){$hora='09:00';}
     $zid='hora';
     $ztype='time';
     $zlabel='⌚ Hora';
     if($prms=='DIA')
     {$zlabel='⌚ Desde';}
     $zvalue=$hora;
     $zmin='06:00:00';
     $zmax='20:00:00';
     $zstep=$min_fra*60;
     include('ele_input.php');  
     
     if($prms=='DIA')
     {
     if(empty($hora)){$hora='18:00';}
     $zid='hora';
     $ztype='time';
     $zlabel='⌚ Hasta';
     $zvalue=$hora;
     $zmin='06:00:00';
     $zmax='20:00:00';
     $zstep=$min_fra*60;
     include('ele_input.php');  
     }
}

// $zobj=1;     
// include('ele_break.php');
     
     
     
          
if($format==2)
{
     
$zid='btn_print'; 
$zlabel='Imprimir';
$zalign='right';
$href='?prnt=1&docu='.$docu.'&idnum='.$idnum1.'&formato=';  
if(mb_stristr('hg01',$cfg_empr))
{$href.='&destino=txt';}
$zonclick='{print_url("'.$href.'");}';
// $zonclick='{save_docu(event);print_url("'.$href.'");}';
if(empty($idnum1)){$zhide=1;}     
$zsize=1.5;     
include('ele_button.php');
}
     
if($format==3)
{

$zid='btn_consul'; 
$zlabel='Consultar';
$zalign='right';
$zonclick='{fn_consulta(event);}';
// $zonclick='{document.getElementById("fecha1").value="";document.getElementById("fecha2").value="";fn_consulta(event);}';
include('ele_button.php');
     
}     
    
echo '<span style="float:right; white-space:nowrap;">';     
echo $msgres;
echo '</span>';     
     
// if(!empty($tipo))
{
     
{

     
$zobj=1;     
include('ele_break.php');
     
     
if($docu!='MDC5')
{
     $zid='lugar';
     $zlabel='🏠 Lugar';
     $zvalue=$lugar;  
     $zwidth=15;
     $zlist='dl_lugar';
     include('ele_input.php');
}
    
     
if($docu=='MDC5')
{
     $zid='trty';
     $zlabel='Territorio';
     $zvalue=$trty; 
     $ztabla='trty';     
     include('ele_input.php');
}
     
     
     
$zobj=1;     
include('ele_break.php');

     


     
     
//      🕮
$zid='nombre1';
$zvalue=$nombre1;     
$zlabel='👤Conductor';
if($docu=='MDC5'){$zlabel='Publicador';}     
$zwidth=15;
$zlist='nomb_info';     
$ztxt=2;     
include('ele_input.php');
     
$zid='nombre2';
$zvalue=$nombre2;     
$zlabel='👤Auxiliar';
if($docu=='MDC5'){$zlabel='Publicador';}     
$zwidth=15;    
$zlist='nomb_info';
$zhide=1;     
if($docu=='MDC5'){$zhide=0;}     
$ztxt=2;          
include('ele_input.php');
     
     

     
if($docu=='MDC0')
{
$zobj=1;     
include('ele_break.php');
     

//      $zid='fecha1';
//      $ztype='date';
//      $zlabel='Desde';
//      $zvalue=$fecha1;
//      $zmin=date('Y-m-01');
//      $zmax=date('Y-m-t',strtotime('+3 month'));     
//      include('ele_input.php');  

//      $zid='fecha2';
//      $ztype='date';
//      $zlabel='Hasta';
//      $zvalue=$fecha2;
//      $zmin=date('Y-m-01');
//      $zmax=date('Y-m-t',strtotime('+3 month'));     
//      // $zdefa=$fecha0;     
//      include('ele_input.php');  
}
     
     
     
$zobj=1;     
include('ele_break.php');
     

     
     
     
     
$zid='concepto';
$zlabel='Notas';
$zvalue=$concepto;
$zwidth=25;
$zrows=2;
include('ele_input.php');

     
// $zobj=2;     
// include('ele_break.php');
     
     
$zid='btn_grabar'; 
$zlabel='Grabar';
$zalign='right';
$zonclick='{save_docu(event);}';
$zsize=1.5;
// if(!empty($numero) and empty($edit)){$zhide=1;}  
// if(!empty($numero)){$zhide=1;}  
if($format==3){$zhide=0;}     
include('ele_button.php');
     

// $zobj=1;
// include('ele_break.php');

$zobj=4;     
$zid='detalle';
$zlabel='Notas';
$zwidth=25;    
$zrows=2;     
$zvalue=$detalle;
$zhide=1;     
include('ele_input.php');
     
     
     
}
     
}

     
$zobj=2;     
include('ele_break.php');
     
// TITULO     
     
     

}     
// include('ele_break.php');
echo '</div>';


// RESULTADO
echo '<div id="main2" >';

$sql_idx=1;
if($info=='iiblog')
{
//      $sql_orig=$sql_info;
//      $sql_array=array();
//      $sql_idx=0;
//      while($aso_krdx=msql_fetch_assoc($res_krdx))
//      {
//           $sql_idx++;
//           if(empty($item))
//           {$sql_info=str_replace('where ','where item="'.$aso_krdx['item_codigo'].'" and ',$sql_orig);}
//           if(!empty($item))
//           {$sql_info=str_replace($item.'%',$aso_krdx['item_codigo'].'%',$sql_orig);}
//           $sql_array[$sql_idx]=$sql_info;
//      }
}


if(1==2)
for($idx=1; $idx<=$sql_idx; $idx++)
{
     if(gettype($res_info)!='NULL')
     {
          $zreso=$res_info;
          $zinfo=$info;
          $zname=$zname;
          $zhead=0;
          $zgfsize=0.9;
          if($format==2)
          {
          $zheightrow='2em;';
          $zhidebtns=1;
          }
          if($format==3)
          {
          $zblockidnum=1;
          $zheightrow='3em;';
          }
          
//           $zblockfield='dia';
          $zblockfield='semana';
          $zheightrow='2.5em;';
          include('ele_grid.php');     
          
//           if($info=='iiblog')
//           {if($idx<msql_num_rows($res_krdx)){echo '<div id="pgbreak" style="height:2em;"></div>';}}

     }
}     






$ztipo='sema';

if($prms=='DIA')
{
$zfecha1=date('Y-m-01',strtotime($mes));     
$zfecha2=date('Y-m-t',strtotime($mes));     
}

if($prms=='MES')
{
$zfecha1=date('Y-m-01',strtotime($mes));     
$zfecha2=date('Y-m-t',strtotime($mes));     
}

if($prms=='SEM')
{
$zfecha1=date('Y-m-01',strtotime($sema));     
$zfecha2=date('Y-m-t',strtotime($sema));     
// echo '<br>==='.$sema;     
// echo '<br>==='.$zfecha1;     
// echo '<br>==='.$zfecha2;     
     
}

$zevento=$docu;  

$zhora_inco=0; 
     
// $zheadtext='PROGRAMA DE PREDICACION';     
// if($docu!='MDC')
// {
//      $docu0=data_maes('docu',$docu);
//      $zheadtext.=' '.strtoupper2($docu0['docu_descri']);
// }
// $zfoottext1='';
// $zfoottext1.='🏠C/Casa - ';     
// $zfoottext1.='📨Carta - ';     
// $zfoottext1.='📞Telef. - ';     
// $zfoottext1.='🚶Calle - ';     
// $zfoottext1.='🪧Públi. ';     
     
include('ele_calendar.php');     






echo '</div>';     


$zobj=2;     
include('ele_break.php');

$zobj=1;
$zid='cstock';
$zlabel='Consulta Stock';
$zwidth=25;         
$zvalue='';
$zonenter='{fn_stock();}';
$zonblur='{fn_stock();}';
{$zhide=1;}
include('ele_input.php');

echo '<div align="center" height="auto" id="divstock" unselectable="on" onmousedown="return false;" onselectstart="return false;">';
echo '</div>';

$zobj=1;     
include('ele_break.php');

$zobj=1;
$zid='cfact';
$zlabel='Ver Facturas';
$zwidth=25;         
$zvalue='';
$zonclick='{fn_factu();}';
if($tpos==1){$zhide=1;}
if(!mb_stristr('IB10.EB10',$docu)){$zhide=1;}
include('ele_button.php');

echo '<div align="center" height="auto" id="divfactu" unselectable="on" onmousedown="return false;" onselectstart="return false;">';
echo '</div>';


echo '<div style="clear:both;">&#127380; : '.$idnum1.'</div>';

?>



<script>
function fn_consulta(event)
{
     var xhref='',dataget;
     xhref=xhref+'?scri=<?php echo basename(__FILE__,'.php');?>';
     
     document.getElementById("main2").innerHTML='Espere...';
     dataget=new_FormData('filtros','get');
     xhref=xhref+dataget;
     
//      alert(dataget);

     location.href=xhref;
}
</script>

<script>
function fn_nuevo(event)
{
     var enti;
     swal.fire({
          icon:'warning',
          title:'Nuevo Documento',
          text:'Continuar ?',
          confirmButtonText:'Nuevo',
          confirmButtonColor:color1,
          focusCancel:true,
          showCancelButton:true,
          cancelButtonColor: 'darkred',
          timer:60000
     }).then((result) => 
          {
               if(result.isConfirmed)
               {
//                     document.getElementById("fecha").value="";
                    document.getElementById("numero").value="";
                    document.getElementById("idnum1").value="";
                    enti=document.getElementById("enti").value;
     //                if(enti.indexOf("9999999999")<0)
                    {document.getElementById("enti").value="";}
                    fn_consulta(event);
               }
          })
}     
     
</script>



<script>document.title="<?php echo $xtitle;?>"</script>
<script>document.getElementById('topcenter').innerHTML="<?php echo $xtopcenter;?>"</script>
